Subject: Re: PIM-SM namespace changes

From: Tom Goff <[email-masked]>
Date: Mon, 1 Jun 2009 13:28:34 -0700

On Tue, May 19, 2009 at 05:43:44PM -0700, Tom Goff wrote:
> > Some bugs to fix before I can apply these Tom.
> ...
> > Also we need to seriously discuss how now we unconditionally
> > register the PIM protocols.  Before we had a policy of only
> > doing so conditionally, and that's a change that needs to
> > be carefully considered and discussed.
> 
> Thanks for the feedback, I think the patch below includes proper error
> handling.
> 
> For protocol registration I see three basic approaches for using PIM
> with namespaces:
> 
>   - unconditionally add PIM when multicast routing is initialized
>     (maybe only ifdef CONFIG_NET_NS, otherwise preserve the current
>     behavior)
> 
>   - keep a count of the number of namespaces that have enabled PIM and
>     add/delete PIM when transitioning from/to zero
> 
>   - make all or some protocol registration per network namespace
> 
> There are obviously tradeoffs and I would appreciate any
> comments/suggestions on alternatives that allow namespace use of
> dynamically enabled protocols.
> 
[patch omitted]

Any further thoughts on handling PIM/namespace interaction?

  Tom